Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707488 - net-analyzer/nstats-0.4-r3 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/nstats-0.4-r3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 19:28 UTC by Toralf Förster
Modified: 2020-02-01 00:02 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.60 KB, text/plain)
2020-01-30 19:28 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,176.73 KB, text/plain)
2020-01-30 19:28 UTC, Toralf Förster
Details
environment (environment,63.60 KB, text/plain)
2020-01-30 19:28 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.54 KB, application/x-bzip)
2020-01-30 19:28 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,3.70 KB, application/x-bzip)
2020-01-30 19:28 UTC, Toralf Förster
Details
net-analyzer:nstats-0.4-r3:20200130-143443.log (net-analyzer:nstats-0.4-r3:20200130-143443.log,7.98 KB, text/plain)
2020-01-30 19:28 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,19.17 KB, application/x-bzip)
2020-01-30 19:28 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 19:28:17 UTC
      |         ^~~~~~
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -Wall   -c -o src/conn.o src/conn.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -Wall   -c -o src/util.o src/util.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -Wall -o nstats src/nstats.o src/pcap.o src/packet.o src/conn.o src/util.o -Wl,-O1 -Wl,--as-needed -lpcap
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/pcap.o:(.bss+0x0): multiple definition of `ifc'; src/nstats.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/packet.o:(.bss+0x20): multiple definition of `stats'; src/nstats.o:(.bss+0x10020): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200126-201521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 13:08:10 +0000

emerge -qpvO net-analyzer/nstats
[ebuild  N    ] net-analyzer/nstats-0.4-r3
Comment 1 Toralf Förster gentoo-dev 2020-01-30 19:28:20 UTC
Created attachment 609240 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 19:28:23 UTC
Created attachment 609242 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-30 19:28:25 UTC
Created attachment 609244 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-30 19:28:28 UTC
Created attachment 609246 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-30 19:28:31 UTC
Created attachment 609248 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 19:28:34 UTC
Created attachment 609250 [details]
net-analyzer:nstats-0.4-r3:20200130-143443.log
Comment 7 Toralf Förster gentoo-dev 2020-01-30 19:28:37 UTC
Created attachment 609252 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-02-01 00:02:56 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d143d34e164882fed1656841e579b7ef948bb5ac

commit d143d34e164882fed1656841e579b7ef948bb5ac
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-02-01 00:01:56 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-02-01 00:02:53 +0000

    net-analyzer/nstats: Set CFLAGS=-fcommon
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707488
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/nstats/nstats-0.4-r3.ebuild | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)